summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/stop_cluster
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2007-07-03 18:27:06 +0000
committerAlan Conway <aconway@apache.org>2007-07-03 18:27:06 +0000
commit55e6526bff23f11b4e2d6645e72488251914a501 (patch)
tree3c15da3f0944a39596191939d23a3976ea60f661 /qpid/cpp/src/tests/stop_cluster
parenta7a3409349acfaa659e32ddc7e3cf015d03ae749 (diff)
downloadqpid-python-55e6526bff23f11b4e2d6645e72488251914a501.tar.gz
* src/tests/cluster_client.cpp: Cluster client test not yet included in test harness.
* src/tests/start_cluster,src/tests/stop_cluster: scripts to start/stop cluster of processes on localhost. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@552941 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/stop_cluster')
-rwxr-xr-xqpid/cpp/src/tests/stop_cluster16
1 files changed, 16 insertions, 0 deletions
diff --git a/qpid/cpp/src/tests/stop_cluster b/qpid/cpp/src/tests/stop_cluster
new file mode 100755
index 0000000000..f5db5a4488
--- /dev/null
+++ b/qpid/cpp/src/tests/stop_cluster
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Stop brokers on ports listed in cluster.ports
+
+
+PORTS=`cat cluster.ports`
+for PORT in $PORTS ; do
+ ../qpidd -qp $PORT || ERROR="$ERROR $PORT"
+done
+
+if [ -n "$ERROR" ]; then
+ echo "Errors stopping brokers on ports: $ERROR"
+ echo $ERROR > cluster.ports
+ exit 1
+else
+ rm cluster.ports
+fi